/*
 * Class WEL_MDI_CREATE_STRUCT
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_803 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_803 [] = {0xFF01,1551,802,0xFFFF};
static const EIF_TYPE_INDEX egt_2_803 [] = {0xFF01,802,0xFFFF};
static const EIF_TYPE_INDEX egt_3_803 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_803 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_803 [] = {0xFF01,802,0xFFFF};
static const EIF_TYPE_INDEX egt_6_803 [] = {0xFF01,802,0xFFFF};
static const EIF_TYPE_INDEX egt_7_803 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_803 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_803 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_803 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_803 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_803 [] = {0xFF01,802,0xFFFF};
static const EIF_TYPE_INDEX egt_13_803 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_14_803 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_15_803 [] = {0xFF01,701,0xFFFF};
static const EIF_TYPE_INDEX egt_16_803 [] = {0xFF01,619,0xFFFF};
static const EIF_TYPE_INDEX egt_17_803 [] = {0xFF01,619,0xFFFF};
static const EIF_TYPE_INDEX egt_18_803 [] = {0xFF01,213,0xFFFF};


static const struct desc_info desc_803[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_803), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_803), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17573, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_803), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17572, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_803), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_803), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_803), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_803), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_803), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_803), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_803), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_803), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_803), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0645 /*802*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_803), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17169, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 16092, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17161, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17162, 12},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17163, 8},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17164, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17165, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17166, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17167, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 17168, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17577, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17170, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17571, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17574, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17575, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17576, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 18697, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17578, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17579, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17580, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17581, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17582, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8498, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8499, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8500, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8501, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8502, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8503, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8504, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8505, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8506, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8507, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8508, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8509, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8510, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8511, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8512, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8461, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8462, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8463, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8464, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8465, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8466, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8467, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8468, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8469, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8470, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8471, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8472, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8473, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8474, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8475, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8476, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8477, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8478, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8479, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8480, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8481, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8482, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8483, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8484, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8485, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8486, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8487, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8488, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8489, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8490, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8491, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8492, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8493, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8494, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8495, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8496, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8497, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18678, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_803), 18679, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_803), 18680, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_803), 18681, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 18682, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 18683, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 18684, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 18685, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 18686, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 18687, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18688, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18689, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18690, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18691, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18692, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18693, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18694, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18695, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18696, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_803), 18698, 0},
	{EIF_GENERIC(egt_17_803), 18699, 4},
	{EIF_GENERIC(egt_18_803), 18700, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 18701, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18702, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18703, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18704, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 18705, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18706, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 18707, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 18708, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 18709, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18710, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 18711, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18712, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 18713, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18714, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 18715, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18716, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 18717, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18718, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 18719, 0xFFFFFFFF},
};
void Init803(void)
{
	IDSC(desc_803, 0, 802);
	IDSC(desc_803 + 1, 1, 802);
	IDSC(desc_803 + 32, 791, 802);
	IDSC(desc_803 + 34, 1359, 802);
	IDSC(desc_803 + 44, 1308, 802);
	IDSC(desc_803 + 54, 400, 802);
	IDSC(desc_803 + 106, 499, 802);
}


#ifdef __cplusplus
}
#endif
